Description

We miss North arrows - please add some. Very important especially for print layouts.

Associated revisions

Revision 06c0bd2b - 2014-05-20 03:11 AM - Nathan Woodrow

Merge pull request #1371 from antoniolocandro/SVG-NORTH-ARROWS

North Arrows SVG - Fix #8711

History

#1 - 2013-09-27 11:51 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

#2 - 2014-01-26 05:14 PM - Antonio Locandro

I guess adding arrows would mean generating SVG for them right? If someone can point me in the right direction and provide North Arrows they would

want added to QGIS I could trace them in Inkscape maybe? I cant code too much but I can try this and see if it Works.

If this work I can start contributing other svg things like symbology etc.

Let me know either way

#3 - 2014-01-26 06:14 PM - Olivier Dalang

Hi !

A google-images search on "north arrows" gives a lot of ideas.

Please add only very simple, clean and pro-looking arrows (as a reminder, those are the one we removed from 1.9 : 

https://www.dropbox.com/sh/zmmew0jlgbosoe4/4pfYqrzizI).

#4 - 2014-04-23 03:04 PM - Antonio Locandro

Ok so I needed North Arrows and came back to this post where I was suppose to work on some.. anyway just to update I will create some North Arrows

and Wind Roses, current ones are very few. Is there a download file of the old ones?
#5 - 2014-05-08 10:35 AM - Antonio Locandro

- File NorthArrow_02.svg added

This if my first attempt, any comments welcome. I successfully added initially the ability to change colors for the stroke using this tutorial 

http://www.sourcepole.com/svg-symbols-in-qgis-with-modifiable-colors, but there is no option to set param for text so I reverted

#6 - 2014-05-08 11:07 AM - Antonio Locandro

- File NorthArrow_03.svg added

Here is a second one, this one looks one way in Inkscape and browsers but for some reason QGIS renders it slightly different so any advice is welcome

BTW I am cleaning SVG files to reduce unused artifacts, I don't know if this makes a difference

#7 - 2014-05-08 12:40 PM - Antonio Locandro

- File NorthArrow_04.svg added

And a third one

#8 - 2014-05-08 12:59 PM - Tim Sutton

Hi

Bear in mind using N limits the application to a subset of our users. We should at least provide variants which have no N so that they can be used in

contexts where N is not the letter for North.

Nice to see some effort to improve the north arrow selection though.

Tim

#9 - 2014-05-08 02:57 PM - Jeff McKenna

Hi everyone, I'd like to make a comment, but I'm a little scared/hesitant as I, am a long-time QGIS user (very long, hence the 0.x screen captures littered

throughout the mapserver.org docs ha) but have not (yet) been involved with the development community.  So please pardon me if I bring up an issue that

has long been discussed (I fear this is the case).  Here it goes...

Consistent feedback I get from students using the QGIS Print Composer is the confusion over adding a North arrow.  Only me the teacher can figure out

for them to Layout/Add Image/Search Directories.  They them seem to lose any confidence in QGIS because there is a Layout/Add Arrow tool, that doesn't

do what they assume it says it will.

Now I gather that the "Add Arrow" vs "Add North Arrow" is a localized issue.  But how can we deal with this?  I feel it is an important issue.  Should the "Add

Arrow" tool contain the same library of arrows as the Add Image tool does?  Just wondering out loud.

Oh I did review the 3 arrow drafts, they look good Antonio!

-jeff
#10 - 2014-05-08 03:39 PM - Nyall Dawson

Antonio Locandro - 02 and 04 look fantastic! 03 is a bit confusing though with it's two arrows in opposing directions.

#11 - 2014-05-08 11:25 PM - Matthias Kuhn

Nice additions! Are you able to turn them into a PR?

Concerning #03

Maybe it could be improved by making the South arrow a bit lighter and the North arrow darker. The N text looks a bit skewed as well.

Jeff: There was also Issue #10207 which was closed as a duplicate of this and had the same contents as your comment. I wonder if this issue here also

involves this. Nyall, any opinion?

#12 - 2014-05-09 02:48 AM - Giovanni Manghi

Consistent feedback I get from students using the QGIS Print Composer is the confusion over adding a North arrow.  Only me the teacher can figure

out for them to Layout/Add Image/Search Directories.  They them seem to lose any confidence in QGIS because there is a Layout/Add Arrow tool,

that doesn't do what they assume it says it will.

having the svg symbols organized in categories, as in vector properties style dialog, would help?

#13 - 2014-05-09 05:47 AM - Jeff McKenna

Giovanni - I am assuming you mean add categories to the Layout/Add Image/Search Directories?  That helps, but, the reality is that users have no idea

that they must 'add an image' in order to get a North arrow.  The Layout/Add Arrow tool is the problem - could Layout/Add Arrow add a "Search Library"

section in its "Item Properties", that uses the categories you refer to?

#14 - 2014-05-09 06:04 AM - Asier Sarasua

- File NorthArrow_09.svg added

- File NorthArrow_10.svg added

- File NorthArrow_11.svg added

- File NorthArrow_12.svg added

- File NorthArrow_05.svg added

- File NorthArrow_06.svg added

- File NorthArrow_07.svg added

- File NorthArrow_08.svg added

Hi, I came across this issue when reading the developer mailing list and thought I could create some North arrows. I attach them to the issue.

#15 - 2014-05-12 07:56 AM - Anita Graser

Thank you for you input Antonio and Asier!

Antonio, if you haven't created a pull request yet, please do so and add a link to the PR here. I think Tim also has a good point that it would be nice to have

the north arrows with and without "N".
I hope I don't sound untactful, but for for me personally, Asier's north arrows are not yet of production quality. I like NorthArrow_10.svg but the others are

still too rough in my opinion.

#16 - 2014-05-19 06:11 PM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"06c0bd2be11858965e887d7a1d4aa8d3d03982c7".

#17 - 2014-05-24 02:20 AM - Asier Sarasua

@Anita No offence taken

#18 - 2014-08-21 09:08 PM - Loïc BARTOLETTI

- File WindRoses.tar.gz added

If you want, i created some north arrows with variants (inverse, without text, without internal outline). Here, only two arrows with variants.

You can combine a SVG with an other inversed (see grille2.shp SVG and SVG_i)

http://download.tuxfamily.org/bartcoding/export_windroses_svg.png

Files

NorthArrow_02.svg 2.09 KB 2014-05-08 Antonio Locandro

NorthArrow_03.svg 4.33 KB 2014-05-08 Antonio Locandro

NorthArrow_04.svg 4.3 KB 2014-05-08 Antonio Locandro

NorthArrow_10.svg 1.61 KB 2014-05-09 Asier Sarasua

NorthArrow_11.svg 832 Bytes 2014-05-09 Asier Sarasua

NorthArrow_12.svg 2 KB 2014-05-09 Asier Sarasua

NorthArrow_05.svg 947 Bytes 2014-05-09 Asier Sarasua

NorthArrow_06.svg 900 Bytes 2014-05-09 Asier Sarasua

NorthArrow_07.svg 1.3 KB 2014-05-09 Asier Sarasua

NorthArrow_08.svg 1.28 KB 2014-05-09 Asier Sarasua

NorthArrow_09.svg 1.56 KB 2014-05-09 Asier Sarasua

WindRoses.tar.gz 88 KB 2014-08-21 Loïc BARTOLETTI
